Skip to content

Custom Brain

In Customized Brain, the client uses the BYOA API to upload a set of logistic coefficients corresponding to any of the variables currently in use by the MediaMath Brain. These coefficients will then be used by participating strategies to calculate the predicted response rate for each impression. The bidder will calculate bid price by multiplying the predicted response rate by the strategy's goal value. Goal values can be modified using the T1 campaign management API.

Model Data Delete

Request

Delete a model

Security
oauth2
Path
model_idstringrequired

Model ID

namespacestringrequired

namespace

DELETE
/data/{namespace}/models/{model_id}
curl -i -X DELETE \
  'https://api.byoa.mediamath.com/data/{namespace}/models/{model_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
dataobject
metaobject
Response
{ "data": { "created_on": "2017-07-05T15:21:03.228289Z", "data_size": 30878, "updated_on": "2017-07-05T15:21:03.228289Z" }, "meta": { "status": "success" } }